The Spring Framework

## org.springframework.dao
Class OptimisticLockingFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.TransientDataAccessException
                              org.springframework.dao.ConcurrencyFailureException
                                  org.springframework.dao.OptimisticLockingFailureException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ObjectOptimisticLockingFailureException

    public class OptimisticLockingFailureException

extends ConcurrencyFailureException

Exception thrown on an optimistic locking violation.

This exception will be thrown either by O/R mapping tools or by custom DAO implementations. Optimistic locking failure is typically not detected by the database itself.

Author:
  Rod Johnson
See Also:
  `PessimisticLockingFailureException`, Serialized Form

Constructor Summary
`OptimisticLockingFailureException(String msg)` Constructor for OptimisticLockingFailureException.
`OptimisticLockingFailureException(String msg, Throwable cause)` Constructor for OptimisticLockingFailureException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptimisticLockingFailureException

    public OptimisticLockingFailureException(String msg)

  Constructor for OptimisticLockingFailureException.

  Parameters:
    `msg` - the detail message

### OptimisticLockingFailureException

    public OptimisticLockingFailureException(String msg,
                                             Throwable cause)

  Constructor for OptimisticLockingFailureException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause from the data access API in use

The Spring Framework

Copyright © 2002-2008 The Spring Framework.